For the complete documentation index, see llms.txt. This page is also available as Markdown.

Omnidex

Get Omnidex event by ID.

get

This returns an Omnidex event matching the provided ID.

Path parameters
event_idnumberRequiredExample: 27292
Responses
200Success
application/json

The matching event.

or
get/omnidex/events/{event_id}
GET /omnidex/events/{event_id} HTTP/1.1
Host: api.gatcg.com
Accept: */*
{
  "category": "ascent",
  "decklists": true,
  "description": "text",
  "format": "team-standard-3v3",
  "host": {
    "address": "text",
    "addressCountryCode": "text",
    "id": 1,
    "name": "text"
  },
  "id": 1,
  "judges": [
    1
  ],
  "name": "text",
  "players": [
    1
  ],
  "ranked": true,
  "setting": "online",
  "singleEliminationMatchConfig": "bo1",
  "singleEliminationCutSize": 1,
  "stages": [
    {
      "id": 1,
      "status": "completable",
      "type": "single-elimination"
    }
  ],
  "status": "canceled",
  "startAt": "text",
  "startedAt": "text",
  "swissMatchConfig": "bo1",
  "swissRounds": 1,
  "type": "single-elimination",
  "url": "text",
  "vpMultiplier": 1,
  "teamSize": 1,
  "teams": [
    "text"
  ]
}

Get players in an Omnidex event.

get

This returns a list of players participating in the event.

Path parameters
event_idnumberRequiredExample: 27292
Responses
200

The matching event's team.

application/json

The matching event's team.

countrystringRequired
cpnumberRequired
emblemstring · enumRequiredPossible values:
idnumberRequired
ranknumberRequired
usernamestringRequired
get/omnidex/events/{event_id}/players
GET /omnidex/events/{event_id}/players HTTP/1.1
Host: api.gatcg.com
Accept: */*
[
  {
    "country": "text",
    "cp": 1,
    "emblem": "ascendant",
    "id": 1,
    "rank": 1,
    "username": "text"
  }
]

Get teams in an Omnidex event.

get

This returns a list of teams participating in the event (if applicable).

Path parameters
event_idnumberRequiredExample: 27292
Responses
200

The matching event's team.

application/json

The matching event's team.

namestringRequired
get/omnidex/events/{event_id}/teams
GET /omnidex/events/{event_id}/teams HTTP/1.1
Host: api.gatcg.com
Accept: */*
[
  {
    "name": "text",
    "players": [
      {
        "id": 1,
        "slot": 1
      }
    ]
  }
]

Get judges in an Omnidex event.

get

This returns a list of judges in the event.

Path parameters
event_idnumberRequiredExample: 27292
Responses
200

The matching event's team.

application/json

The matching event's team.

countrystringRequired
cpnumberRequired
emblemstring · enumRequiredPossible values:
idnumberRequired
ranknumberRequired
usernamestringRequired
judgeExperiencenumberRequired
judgeLevelnumberRequired
get/omnidex/events/{event_id}/judges
GET /omnidex/events/{event_id}/judges HTTP/1.1
Host: api.gatcg.com
Accept: */*
[
  {
    "country": "text",
    "cp": 1,
    "emblem": "ascendant",
    "id": 1,
    "rank": 1,
    "username": "text",
    "judgeExperience": 1,
    "judgeLevel": 1
  }
]

Get an Omnidex event's standings.

get

This returns Swiss stage standings for the event.

Path parameters
event_idnumberRequiredExample: 27292
Responses
200Success
application/json

The matching event's team.

idnumberRequired
standingsany ofRequired
or
statusstring · enumRequiredPossible values:
typestring · enumRequiredPossible values:
get/omnidex/events/{event_id}/standings
GET /omnidex/events/{event_id}/standings HTTP/1.1
Host: api.gatcg.com
Accept: */*
{
  "id": 1,
  "rounds": {
    "latest": 1,
    "total": 1
  },
  "standings": [
    {
      "tiebreaker": 1,
      "status": "active",
      "statsByes": 1,
      "statsDroppedRound": 1,
      "statsDroppedStage": 1,
      "statsGamesPlayed": 1,
      "statsGamesWon": 1,
      "statsLosses": 1,
      "statsPercentGW": 1,
      "statsPercentMW": 1,
      "statsPercentOGW": 1,
      "statsPercentOMW": 1,
      "statsScore": 1,
      "statsTies": 1,
      "statsWins": 1,
      "id": 1,
      "team": "text",
      "teamSlot": 1
    }
  ],
  "status": "completable",
  "type": "swiss"
}

Get an Omnidex event's pairings.

get

This returns pairings for an event. By default it returns the latest stage and round.

Path parameters
event_idnumberRequiredExample: 27292
Query parameters
roundnumberOptional

A round ID.

Example: 1
stagenumberOptional

A stage ID.

Example: 1
Responses
200

The matching event's pairings.

application/json

The matching event's pairings.

get/omnidex/events/{event_id}/pairings
GET /omnidex/events/{event_id}/pairings HTTP/1.1
Host: api.gatcg.com
Accept: */*
{
  "pairings": [
    {
      "completedAt": 1,
      "id": 1,
      "label": "text",
      "pairing": [
        {
          "dropped": true,
          "eloChange": 1,
          "id": 1,
          "score": 1,
          "status": "byed"
        }
      ],
      "status": "byed"
    }
  ],
  "round": {
    "id": 1,
    "status": "complete",
    "total": 1,
    "timer": {
      "serverTime": "text",
      "timerEnd": null,
      "timerPaused": null,
      "timerStart": null
    }
  },
  "stage": {
    "id": 1,
    "status": "completable",
    "type": "single-elimination"
  }
}

Get an Omnidex event's decklists.

get

This returns public decklist data for the event (if available).

Path parameters
event_idnumberRequiredExample: 27292
Responses
200

The matching event's team.

application/json

The matching event's team.

playernumberRequired
visibleboolean · enumRequiredPossible values:
get/omnidex/events/{event_id}/decklists
GET /omnidex/events/{event_id}/decklists HTTP/1.1
Host: api.gatcg.com
Accept: */*
[
  {
    "decklist": {
      "main": [
        {
          "card": "text",
          "quantity": 1
        }
      ],
      "material": [
        {
          "card": "text",
          "quantity": 1
        }
      ],
      "sideboard": [
        {
          "card": "text",
          "quantity": 1
        }
      ]
    },
    "player": 1,
    "visible": true
  }
]

Get statistics for an Omnidex event.

get

This returns public statistics data for an Omnidex event (if available).

Path parameters
event_idnumberRequiredExample: 27292
Responses
200Success
application/json

The matching event's statistics.

or
or
or
get/omnidex/events/{event_id}/statistics
GET /omnidex/events/{event_id}/statistics HTTP/1.1
Host: api.gatcg.com
Accept: */*
{
  "decklistsAdvancedElementBreakdown": {
    "total": 1
  },
  "decklistsBasicElementBreakdown": {
    "total": 1
  },
  "decklistsChampionBreakdown": {
    "total": 1
  },
  "decklistsStatsRevealed": true,
  "decklistsTopNAdvancedElementBreakdown": {
    "total": 1
  },
  "decklistsTopNBasicElementBreakdown": {
    "total": 1
  },
  "decklistsTopNChampionBreakdown": {
    "total": 1
  },
  "decklistsTopNRound": 1,
  "decklistsTopNStage": 1,
  "decklistsTopNStatsRevealed": true,
  "decklistsTopNValue": 1
}

Last updated